##https://stackoverflow.com/questions/1199613/extract-filename-and-path-from-url-in-bash-script#8979741
#==================================================================================

function url_scheme() {

#==================================================================================

    local url="$1"
    echo ${url%%://*}

}
#==================================================================================

function url_host() {

#==================================================================================


    local url="$1"
    
    url=${url#*://}
    
    host=${url%%/*}
    echo $host

}
#==================================================================================

function url_path() {

#==================================================================================


    local url="$1"
    url=${url#*://}
    url=${url#*/}
    #un slash avant ? pour ne pas etre interprete
    url_path=${url%%\?*}

    echo $url_path
}
#==================================================================================

